nn.pp.rccore

## Enum RCCore.OsdPosition

- java.lang.Object
- - java.lang.Enum<RCCore.OsdPosition>
  - - nn.pp.rccore.RCCore.OsdPosition

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<RCCore.OsdPosition>
  Enclosing interface:
    RCCore

      public static enum RCCore.OsdPosition
      extends java.lang.Enum<RCCore.OsdPosition>

  Values for positioning of the OSD
  See Also:
    `RCCore.setOsdPosition(RCCore.OsdPosition)`, `RCCore.getOsdPosition()`

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `BOTTOM` The OSD is positioned in a bar at the bottom of the screen.
    `CENTER` The OSD is positioned in the center of the screen.
    `DISABLED` The OSD is disabled
    `TOP` The OSD is positioned in a bar at the top of the screen.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static RCCore.OsdPosition` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static RCCore.OsdPosition[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### TOP

          public static final RCCore.OsdPosition TOP

      The OSD is positioned in a bar at the top of the screen. The width covers the whole screen.

    - #### CENTER

          public static final RCCore.OsdPosition CENTER

      The OSD is positioned in the center of the screen. The width covers the text only.

    - #### BOTTOM

          public static final RCCore.OsdPosition BOTTOM

      The OSD is positioned in a bar at the bottom of the screen. The width covers the whole screen.

    - #### DISABLED

          public static final RCCore.OsdPosition DISABLED

      The OSD is disabled

  - ### Method Detail

    - #### values

          public static RCCore.OsdPosition[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (RCCore.OsdPosition c : RCCore.OsdPosition.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static RCCore.OsdPosition valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

Copyright © 2025 Raritan Inc. All Rights Reserved.